#include<bits/stdc++.h>
using namespace std;
vector<int> solve(vector<int> A){
    int n = (int) A.size();
    long long sum = 0;
    for(auto x : A) sum += x;
    sum = (sum + 1) / 2;
    vector<pair<int, int>> p;
    for(int i = 0; i < n; i++) p.push_back({A[i], i});
    sort(p.begin(), p.end());
    int mn = n, bst = 0;
    for(int i = 0; i < (1 << n); i++){
        long long s = 0;
        int mx = 0, cnt = 0;
        for(int j = 0; j < n; j++){
            if(!((i >> j) & 1)) continue;
            s += p[j].first;
            mx = max(mx, p[j].first);
            cnt++;
        }
        if(s >= sum && s - mx < sum && mn > abs(n - 2 * cnt)){
            mn = abs(n - 2 * cnt);
            bst = i;
        }
    }
    vector<int> ans;
    for(int i = 0; i < n; i++) if((bst >> i) & 1) ans.push_back(p[i].second);
    for(int i = 0; i < n; i++) if(!((bst >> i) & 1)) ans.push_back(p[i].second);
    return ans;
}